
import React from 'react';
import ReactDOM from 'react-dom/client';
import App from './App';

const rootElement = document.getElementById('root');
// Renderizar condicionalmente solo si se encuentra el elemento raíz.
// Esto evita que la aplicación falle si no está destinada a ser una página controlada por React.
if (rootElement) {
  const root = ReactDOM.createRoot(rootElement);
  root.render(
    <React.StrictMode>
      <App />
    </React.StrictMode>
  );
}
